namespace NetinaShop.AdminPanel.PWA.Services.RestServices;

public interface IDiscountRestApi
{

    [Get("")]
    Task<List<DiscountSDto>> ReadAll([Header("Authorization")] string authorization);

    [Get("/{id}")]
    Task<DiscountLDto> ReadOne(Guid id,[Header("Authorization")] string authorization);
    [Get("")]
    Task<List<DiscountSDto>> ReadAll([Query] int page, [Header("Authorization")] string authorization);
    [Get("")]
    Task<List<DiscountSDto>> ReadAll([Query] int page, [Query] string discountCode, [Header("Authorization")] string authorization);
}